| Version: 3.1.5

Macros | Typedefs | Enumerations
propgriddefs.h File Reference

## Macros
#define | wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)
| Used to tell wxPGProperty to use label as name as well. More...
#define | wxPG_LABEL_STRING wxS("@!")
| This is the value placed in wxPGProperty::sm_wxPG_LABEL. More...
#define | wxPG_NULL_BITMAP wxNullBitmap
#define | wxPG_COLOUR_BLACK (*wxBLACK)
#define | wxPG_COLOUR(R, G, B) ((wxUint32)(R+(G<<8)+(B<<16)))
| Convert Red, Green and Blue to a single 32-bit value. More...
#define | wxPG_DEFAULT_IMAGE_SIZE wxDefaultSize
| If property is supposed to have custom-painted image, then returning this in wxPGProperty::OnMeasureImage() will usually be enough. More...
#define | wxPG_INVALID_VALUE INT_MAX
| Used to indicate wxPGChoices::Add() etc that the value is actually not given by the caller. More...
#define | wxPG_BASE_OCT 8L
| Valid constants for wxPG_UINT_BASE attribute (`long` because of wxVariant constructor) More...
#define | wxPG_BASE_DEC 10L
#define | wxPG_BASE_HEX 16L
#define | wxPG_BASE_HEXL 32L
#define | wxPG_PREFIX_NONE 0L
| Valid constants for wxPG_UINT_PREFIX attribute. More...
#define | wxPG_PREFIX_0x 1L
#define | wxPG_PREFIX_DOLLAR_SIGN 2L

## Typedefs
typedef int(* | wxPGSortCallback) (wxPropertyGrid *propGrid, wxPGProperty *p1, wxPGProperty *p2)
| This callback function is used for sorting properties. More...

## Enumerations
enum | wxPG_GETPROPERTYVALUES_FLAGS { wxPG_DONT_RECURSE , wxPG_KEEP_STRUCTURE , wxPG_RECURSE , wxPG_INC_ATTRIBUTES , wxPG_RECURSE_STARTS , wxPG_FORCE , wxPG_SORT_TOP_LEVEL_ONLY }
enum | wxPG_MISC_ARG_FLAGS { wxPG_FULL_VALUE , wxPG_REPORT_ERROR , wxPG_PROPERTY_SPECIFIC , wxPG_EDITABLE_VALUE , wxPG_COMPOSITE_FRAGMENT , wxPG_UNEDITABLE_COMPOSITE_FRAGMENT , wxPG_VALUE_IS_CURRENT , wxPG_PROGRAMMATIC_VALUE }
| Misc argument flags. More...
enum | wxPG_SETVALUE_FLAGS { wxPG_SETVAL_REFRESH_EDITOR , wxPG_SETVAL_AGGREGATED , wxPG_SETVAL_FROM_PARENT , wxPG_SETVAL_BY_USER }
| wxPGProperty::SetValue() flags More...

## Macro Definition Documentation

## ◆ wxPG_BASE_DEC

#define wxPG_BASE_DEC 10L

## ◆ wxPG_BASE_HEX

#define wxPG_BASE_HEX 16L

## ◆ wxPG_BASE_HEXL

#define wxPG_BASE_HEXL 32L

## ◆ wxPG_BASE_OCT

#define wxPG_BASE_OCT 8L

Valid constants for wxPG_UINT_BASE attribute (`long` because of wxVariant constructor)

## ◆ wxPG_COLOUR

#define wxPG_COLOUR | ( |  | R,
|  |  | G,
|  |  | B
| ) |  | ((wxUint32)(R+(G<<8)+(B<<16)))

Convert Red, Green and Blue to a single 32-bit value.

## ◆ wxPG_COLOUR_BLACK

#define wxPG_COLOUR_BLACK (*wxBLACK)

## ◆ wxPG_DEFAULT_IMAGE_SIZE

#define wxPG_DEFAULT_IMAGE_SIZE wxDefaultSize

If property is supposed to have custom-painted image, then returning this in wxPGProperty::OnMeasureImage() will usually be enough.

## ◆ wxPG_INVALID_VALUE

#define wxPG_INVALID_VALUE INT_MAX

Used to indicate wxPGChoices::Add() etc that the value is actually not given by the caller.

## ◆ wxPG_LABEL

#define wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)

Used to tell wxPGProperty to use label as name as well.

## ◆ wxPG_LABEL_STRING

#define wxPG_LABEL_STRING wxS("@!")

This is the value placed in wxPGProperty::sm_wxPG_LABEL.

## ◆ wxPG_NULL_BITMAP

#define wxPG_NULL_BITMAP wxNullBitmap

## ◆ wxPG_PREFIX_0x

#define wxPG_PREFIX_0x 1L

## ◆ wxPG_PREFIX_DOLLAR_SIGN

#define wxPG_PREFIX_DOLLAR_SIGN 2L

## ◆ wxPG_PREFIX_NONE

#define wxPG_PREFIX_NONE 0L

Valid constants for wxPG_UINT_PREFIX attribute.

## Typedef Documentation

## ◆ wxPGSortCallback

typedef int(* wxPGSortCallback) (wxPropertyGrid *propGrid, wxPGProperty *p1, wxPGProperty *p2)

This callback function is used for sorting properties.

Call wxPropertyGrid::SetSortFunction() to set it.

Sort function should return a value greater than 0 if position of p1 is after p2. So, for instance, when comparing property names, you can use following implementation:

    @code
        int MyPropertySortFunction(wxPropertyGrid* propGrid,
                                   wxPGProperty* p1,
                                   wxPGProperty* p2)
        {
            return p1->GetBaseName().compare( p2->GetBaseName() );
        }
    @endcode

## Enumeration Type Documentation

## ◆ wxPG_GETPROPERTYVALUES_FLAGS

enum wxPG_GETPROPERTYVALUES_FLAGS

Enumerator
wxPG_DONT_RECURSE | Flag for wxPropertyGridInterface::SetProperty* functions, wxPropertyGridInterface::HideProperty(), etc. Apply changes only for the property in question.
wxPG_KEEP_STRUCTURE | Flag for wxPropertyGridInterface::GetPropertyValues(). Use this flag to retain category structure; each sub-category will be its own wxVariantList of wxVariant.
wxPG_RECURSE | Flag for wxPropertyGridInterface::SetProperty* functions, wxPropertyGridInterface::HideProperty(), etc. Apply changes recursively for the property and all its children.
wxPG_INC_ATTRIBUTES | Flag for wxPropertyGridInterface::GetPropertyValues(). Use this flag to include property attributes as well.
wxPG_RECURSE_STARTS | Used when first starting recursion.
wxPG_FORCE | Force value change.
wxPG_SORT_TOP_LEVEL_ONLY | Only sort categories and their immediate children. Sorting done by wxPG_AUTO_SORT option uses this.

## ◆ wxPG_MISC_ARG_FLAGS

enum wxPG_MISC_ARG_FLAGS

Misc argument flags.

Enumerator
wxPG_FULL_VALUE | Get/Store full value instead of displayed value.
wxPG_REPORT_ERROR | Perform special action in case of unsuccessful conversion.
wxPG_PROPERTY_SPECIFIC |
wxPG_EDITABLE_VALUE | Get/Store editable value instead of displayed one (should only be different in the case of common values).
wxPG_COMPOSITE_FRAGMENT | Used when dealing with fragments of composite string value.
wxPG_UNEDITABLE_COMPOSITE_FRAGMENT | Means property for which final string value is for cannot really be edited.
wxPG_VALUE_IS_CURRENT | wxPGProperty::ValueToString() called from wxPGProperty::GetValueAsString() (guarantees that input wxVariant value is current own value)
wxPG_PROGRAMMATIC_VALUE | Value is being set programmatically (i.e. not by user)

## ◆ wxPG_SETVALUE_FLAGS

enum wxPG_SETVALUE_FLAGS

wxPGProperty::SetValue() flags

Enumerator
wxPG_SETVAL_REFRESH_EDITOR |
wxPG_SETVAL_AGGREGATED |
wxPG_SETVAL_FROM_PARENT |
wxPG_SETVAL_BY_USER | Set if value changed by user.